import { HttpHeaders, HttpMethod } from '@marblejs/core';
import { Logger, ServerApp, ServerProxy, ServerProxyRequest, ServerProxyResponse } from '../';
export interface MyRequest {
    headers?: HttpHeaders;
    method: HttpMethod;
    path: string;
    body?: string;
}
export interface MyResponse {
    headers: HttpHeaders;
    body?: string;
    code: number;
}
export declare class MyProxy extends ServerProxy<MyRequest, MyResponse> {
    constructor(app: ServerApp, logger: Logger);
    normalizeError(error: Error): MyResponse;
    normalizeRequest(proxyRequest: MyRequest): ServerProxyRequest;
    normalizeResponse(serverProxyResponse: ServerProxyResponse): MyResponse;
}
export declare const sleep: (timeout: number) => Promise<{}>;
export declare const loggerMock: () => {
    logs: string[];
    message: (index: number) => string;
    log: (message: string) => number;
};
